---
title: deviceClass
slug: Web/API/BluetoothDevice/deviceClass
tags:
  - API
  - Bluetooth
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - deviceClass
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.deviceClass</code></strong> read-only property returns a number representing the Bluetooth devices "Class of Device".</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var deviceClass = <em>instanceOfBluetoothDevice</em>.deviceClass</pre>

<h3 id="Returns">Returns</h3>

<p>A number.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.deviceClass")}}</p>
</div>
